Skip to main content
GET
/
v1
/
accounts
/
{account_id}
/
agents
List agents
curl --request GET \
  --url https://api.itellico.ai/v1/accounts/{account_id}/agents \
  --header 'X-API-Key: <api-key>'
{
  "count": 123,
  "items": [
    {
      "id": "<string>",
      "account_id": "<string>",
      "name": "<string>",
      "initial_message": {
        "message": "",
        "mode": "fixed_message",
        "delay_ms": 0,
        "interruptible": false
      },
      "ambient_sound": {
        "source": "open_plan_office",
        "volume": 0.5
      },
      "inactivity_settings": {
        "reminder_timeout_ms": 10000,
        "reminder_max_count": 2,
        "end_call_timeout_ms": 305000,
        "reset_on_activity": true
      },
      "response_timing": {
        "min_endpointing_delay_seconds": 0.1
      },
      "max_duration_seconds": 123,
      "note": "<string>",
      "tags": [
        "<string>"
      ],
      "interrupt_settings": {
        "enabled": true,
        "min_words": 0,
        "min_speech_seconds": 0.2
      },
      "model": {},
      "transcriber": {},
      "voice": {},
      "metadata": {},
      "capture_settings": {
        "recording_enabled": true
      },
      "volume": {
        "web": 0.5,
        "telephony": 0.5,
        "allow_adjustment": true
      },
      "denoising": {
        "web": true,
        "telephony": true
      },
      "created": "2023-11-07T05:31:56Z",
      "modified": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

account_id
string
required

The account ID or 'me' for the current account

Query Parameters

name
string | null

Case-insensitive partial match on agent name.

is_archived
boolean | null

Filter by archived status. If omitted, archived are excluded by default.

created_gt
string<date-time> | null

Filter agents created after this datetime (ISO 8601, timezone-aware).

created_lt
string<date-time> | null

Filter agents created before this datetime (ISO 8601, timezone-aware).

created_ge
string<date-time> | null

Filter agents created on or after this datetime (ISO 8601, timezone-aware).

created_le
string<date-time> | null

Filter agents created on or before this datetime (ISO 8601, timezone-aware).

modified_gt
string<date-time> | null

Filter agents modified after this datetime (ISO 8601, timezone-aware).

modified_lt
string<date-time> | null

Filter agents modified before this datetime (ISO 8601, timezone-aware).

modified_ge
string<date-time> | null

Filter agents modified on or after this datetime (ISO 8601, timezone-aware).

modified_le
string<date-time> | null

Filter agents modified on or before this datetime (ISO 8601, timezone-aware).

tags
string[] | null

Filter by tags. Returns agents that have ALL specified tags.

limit
integer
default:100
Required range: x >= 1
offset
integer
default:0
Required range: x >= 0

Response

200 - application/json

OK

count
integer
required
items
AgentResponseSchema · object[]
required